$(document).ready(function(){
    $('.video-carousel').slick({
      slidesToShow: 1,
      slidesToScroll: 1,
      arrows: false,
      fade: false,
      autoplay: false,
      asNavFor: '.video-carousel-nav'
    });
    $('.video-carousel-nav').slick({
      asNavFor: '.video-carousel',
      slidesToShow: 2,
      slidesToScroll: 2,
      infinite: false,
      dots: false,
      centerMode: false,
      arrows: false,
      autoplay: false,
      focusOnSelect: true,
    });
    $('.still-carousel').slick({
      slidesToShow: 1,
      slidesToScroll: 1,
      arrows: false,
      fade: false,
      autoplay: false,
      asNavFor: '.still-carousel-nav'
    });
    $('.still-carousel-nav').slick({
      asNavFor: '.still-carousel',
      slidesToShow: 2,
      slidesToScroll: 2,
      infinite: false,
      dots: false,
      centerMode: false,
      arrows: false,
      autoplay: false,
      focusOnSelect: true,
    });
    $('.still-carousel').on('beforeChange', function(event, slick, currentSlide, nextSlide){
        if(currentSlide != nextSlide) {
          $('.video-carousel').slick('slickNext');          
        }
    });    
    $('.video-carousel').on('beforeChange', function(event, slick, currentSlide, nextSlide){
        //$('.still-carousel').slick('slickNext');
        if(currentSlide != nextSlide) {
          $('.still-carousel').slick('slickNext');                 
        }
    });
    if(!isVid1 && isVid2) {
      $('.still-carousel').slick('slickGoTo', 1);
    }

  $('.images-carousel').slick({
      slidesToShow: 1,
      slidesToScroll: 1,
      arrows: true,
      fade: false,
      autoplay: false,
      swipeToSlide: true,
      asNavFor: '.images-carousel-nav'
    });
    $('.images-carousel-nav').slick({
      slidesToShow: 7,
      slidesToScroll: 1,
      asNavFor: '.images-carousel',
      dots: false,
      centerMode: false,
      arrows: false,
      autoplay: false,
      focusOnSelect: true,
      responsive: [
        {
          breakpoint: 1024,
          settings: {
            slidesToShow: 6
          }
        },
        {
          breakpoint: 600,
          settings: {
            slidesToShow: 4
          }
        },
        {
          breakpoint: 480,
          settings: {
            slidesToShow: 3
          }
        },
        {
          breakpoint: 375,
          settings: {
            slidesToShow: 2
          }
        }
      ]
    });
});
function download(type,stock) {
  $("#form_1_type").val(type);
  $("#form_1_stock").val(stock);
  document.getElementById("form_1").submit();
} 
function magnify(imgID, zoom = 1.5) {
  var img, glass, w, h, bw;
  img = document.getElementById(imgID);
  glass = document.createElement("DIV");
  glass.setAttribute("class", "img-magnifier-glass");
  img.parentElement.insertBefore(glass, img);
  glass.style.backgroundImage = "url('" + img.src + "')";
  glass.style.backgroundRepeat = "no-repeat";
  glass.style.backgroundSize = (img.width * zoom) + "px " + (img.height * zoom) + "px";
  bw = 3;
  w = glass.offsetWidth / 2;
  h = glass.offsetHeight / 2;
  glass.addEventListener("mousemove", moveMagnifier);
  img.addEventListener("mousemove", moveMagnifier);
  glass.addEventListener("mouseleave", removeEl);
  glass.addEventListener("touchmove", moveMagnifier);
  img.addEventListener("touchmove", moveMagnifier);
  function removeEl() {
    glass.remove();
  }
  function moveMagnifier(e) {
    var pos, x, y;
    e.preventDefault();
    pos = getCursorPos(e);
    x = pos.x;
    y = pos.y;
    if (x > img.width - (w / zoom)) {x = img.width - (w / zoom);}
    if (x < w / zoom) {x = w / zoom;}
    if (y > img.height - (h / zoom)) {y = img.height - (h / zoom);}
    if (y < h / zoom) {y = h / zoom;}
    glass.style.left = (x - w) + "px";
    glass.style.top = (y - h) + "px";
    glass.style.backgroundPosition = "-" + ((x * zoom) - w + bw) + "px -" + ((y * zoom) - h + bw) + "px";
  }
  function getCursorPos(e) {
    var a, x = 0, y = 0;
    e = e || window.event;
    a = img.getBoundingClientRect();
    x = e.pageX - a.left;
    y = e.pageY - a.top;
    x = x - window.pageXOffset;
    y = y - window.pageYOffset;
    return {x : x, y : y};
  }
}